glibc in chapter 5

Chris Staub chris at beaker67.com
Thu Sep 11 10:05:38 PDT 2008


Philippe Delavalade wrote:
> Hi.
> 
> I'm building lfs with host debian/lenny with kernel 2.6.26-1-686-bigmem.
> 
> I use the svn-20080711 book.
> 
> Configuration for glibc-2.7 is OK ; I get the warning mentioned in the book.
> 
> When I compile, make fails with the message :
> make[1]: *** No rule to make target
> `/lfs/sources/glibc-build/Versions.all',
> needed by `/lfs/sources/glibc-build/abi-versions.h'.
> 
> Thanks for help.
> 
> --------------
> Ph. Delavalade

Looks like you missed this page...

http://www.linuxfromscratch.org/lfs/view/development/prologue/hostreqs.html

This error is usually due to the host system not having Gawk installed. 
Run the script on the Host Sys. Reqs. page of the LFS book to make sure 
you're not missing anything else.



More information about the lfs-support mailing list